> For the complete documentation index, see [llms.txt](https://docs.toomuchmedia.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.toomuchmedia.com/api/api-endpoints/affiliate/api-affiliate-rest-methods.md).

# /api/affiliate/rest‑methods

## GET /api/affiliate/rest-methods

> Get available Rest API Methods

```json
{"openapi":"3.0.2","info":{"title":"API Specification","version":"v1"},"tags":[{"name":"/api/affiliate/rest-methods"}],"security":[{"api-key":[],"api-username":[]}],"components":{"securitySchemes":{"api-key":{"type":"apiKey","in":"header","name":"api-key"}},"schemas":{"get_affiliate_rest-methods":{"type":"object","properties":{"success":{"type":"boolean"}}}}},"paths":{"/api/affiliate/rest-methods":{"get":{"description":"Get available Rest API Methods","tags":["/api/affiliate/rest-methods"],"parameters":[{"name":"collection","in":"query","schema":{"type":"string"},"required":false},{"name":"limited","in":"query","schema":{},"required":false},{"name":"loginid","in":"query","schema":{"default":0},"required":false}],"responses":{"200":{"description":"success","content":{"text/php":{"schema":{"$ref":"#/components/schemas/get_affiliate_rest-methods"}},"application/json":{"schema":{"$ref":"#/components/schemas/get_affiliate_rest-methods"}},"application/xml":{"schema":{"$ref":"#/components/schemas/get_affiliate_rest-methods"}}}}}}}}}
```
